/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.board;

import javax.servlet.ServletContext;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.board.command.*;
import kr.pe.kkaok.util.ParamUtil;

public class KBoard extends HttpServlet
{
    private static final String ERRORPAGE = "/error.jsp";

    public void doGet(HttpServletRequest req, HttpServletResponse res) 
    {
        long sTime= System.currentTimeMillis();
        req.setAttribute("sTime",Long.toString(sTime));

        try{
            res.setContentType("text/html;charset=MS949");
            req.setCharacterEncoding("MS949");

            String cmd = ParamUtil.getReqParameter(req.getParameter("cmd"),"list");
            String execpage = null;
            Command c = null;
            if (cmd.equals("list")){
                c = new ListCommand(req,res); 
                execpage = c.exec();
            }else if (cmd.equals("view")) {
                c = new ViewCommand(req,res); 
                execpage = c.exec();
            }else if (cmd.equals("info")) {
                c = new InfomationCommand(req,res); 
                execpage = c.exec();
            }else if (cmd.equals("write")) {
                c = new WriteCommand(req,res); 
                execpage = c.exec();
            }
            req.getRequestDispatcher(execpage).forward(req, res);
        }catch(Exception e){
            System.out.println("error occur : ");  
            System.out.println(e.toString());  
            System.out.println("!!!");  
    		req.setAttribute("message", e.getMessage());
    		req.setAttribute("errPage", "KBoard.java");
            try{
                req.getRequestDispatcher(ERRORPAGE).forward(req, res);
            }catch(Exception err){}
        }
    }

    public void doPost(HttpServletRequest req, HttpServletResponse res)
    {
        doGet(req,res);
    }
}