/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.board;

import java.util.ResourceBundle;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.board.upload.UploadBoard;
import kr.pe.kkaok.board.upload.UploadBoardImpl;
import kr.pe.kkaok.board.handle.*;

public class KBoardWriteAction extends HttpServlet 
{
    private String SAVE_DIR_ROOT;
    private int    MAX_UPLOAD_SIZE;
    private String SAVE_DIR_BOARD; 
    private String HTTPURL;
    private static final String ERRORPAGE = "/error.jsp";

    public void init(ServletConfig config) throws javax.servlet.ServletException {
        super.init(config);
        ResourceBundle bundle = null;
        try {
            bundle = ResourceBundle.getBundle("Res_Infomation");
            SAVE_DIR_ROOT = (String)bundle.getString("SAVE_DIR_ROOT");
            MAX_UPLOAD_SIZE = Integer.parseInt(bundle.getString("MAX_UPLOAD_SIZE").toString());
            SAVE_DIR_BOARD = (String)bundle.getString("SAVE_DIR_BOARD");
            HTTPURL = (String)bundle.getString("HTTPURL");
        } catch (Exception e) {
            System.out.println("Err: "+e.toString());
        }
    }
    
    public void doPost(HttpServletRequest req, HttpServletResponse res)
    {
        try{
            res.setContentType("text/html;charset=MS949");
            req.setCharacterEncoding("MS949");
            String execpage = null;
            RegistryCommand c = null;
            long totalPageSize = req.getContentLength(); 
            int maxUploadSize  = MAX_UPLOAD_SIZE * 5;    // 
            if (maxUploadSize <= totalPageSize){
  		        throw new Exception("ȭϿ뷮 ʹ Ůϴ.");
            }
            String saveDir = getServletContext().getRealPath("/")+SAVE_DIR_BOARD;
            UploadBoard up = (UploadBoard)new UploadBoardImpl(req,res,maxUploadSize,saveDir,
                    SAVE_DIR_ROOT,getServletContext().getRealPath("/"));

            if(up.getPageStatus().equals("M")){
                c = new ModifyRegistry(req,res,up); 
                execpage = c.exec();
            } else if (up.getPageStatus().equals("R")){
                c = new ReplyRegistry(req,res,up); 
                execpage = c.exec();
            }else{
                c = new NewRegistry(req,res,up); 
                execpage = c.exec();
            }
            req.getRequestDispatcher(execpage).forward(req, res);
        } catch(Exception e){
			e.printStackTrace();
    		req.setAttribute("message", e.getMessage());
    		req.setAttribute("errPage", "KBoardWriteAction.java");
            try{
                req.getRequestDispatcher(ERRORPAGE).forward(req, res);
            }catch(Exception err){}
        }
    }
}  