/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.board.command;

import java.util.List;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.util.Utility;

public class ListCommand extends Command
{
    private static final String LISTPAGE = "/kBoard/board_list.jsp";
    private static final int pageSize = 15;

    public ListCommand(HttpServletRequest req, HttpServletResponse res) throws Exception 
    {
        super(req, res);
    }

    public String exec() throws Exception
    {
        int recordCount;
        int totalPage;
        List ldata = null;
        if (flag == 1){
            recordCount = dao.getSearchCount(tableName,search,findword);
            totalPage = Utility.getTotal(recordCount,pageSize);
            if (gotoPage > totalPage) gotoPage = totalPage;
            if (gotoPage == 0) gotoPage = 1;
            ldata = (List)dao.getSearchData(tableName,search,findword,gotoPage,pageSize,recordCount);
        }else{
            search = "";
            findword = "";
            recordCount = sTable.getTbCnt();
            totalPage = Utility.getTotal(recordCount,pageSize);
            if (gotoPage > totalPage) gotoPage = totalPage;
            if (gotoPage == 0) gotoPage = 1;
            ldata = (List)dao.getListData(tableName,gotoPage,pageSize,recordCount);
        }

        List idata = (List)dao.getInfoList(tableName);
		boolean authority = false;
		HttpSession session = req.getSession();
		if (session.getAttribute("admin") != null && !session.getAttribute("admin").equals(""))
			authority = true;

        req.setAttribute("authority",new Boolean(authority));
        req.setAttribute("ldata",ldata);
        req.setAttribute("idata",idata);
        req.setAttribute("recordCount",new Integer(recordCount));
        req.setAttribute("totalPage",new Integer(totalPage));

        return LISTPAGE;
    }
}