/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.board.command;

import java.util.List;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import kr.pe.kkaok.board.dao.BoardTable;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.util.CookieUtil;
import kr.pe.kkaok.util.Utility;

public class ViewCommand extends Command
{
    private static final String VIEWPAGE = "/kBoard/board_view.jsp";
    private static final int pageSize = 15;

    public ViewCommand(HttpServletRequest req, HttpServletResponse res) throws Exception
    {
        super(req, res);
    }

    public String exec() throws Exception
    {
        int seq = ParamUtil.getIntParameter(req.getParameter("seq"));
        java.util.Date now = new java.util.Date();
        java.text.SimpleDateFormat formatter = new java.text.SimpleDateFormat("yyyy-MM-dd"); 
        String nowDate = formatter.format(now);
        String com = tableName+nowDate+Integer.toString(seq);
        String ckCookie = CookieUtil.getCookie(req,com);
        if (ckCookie==null || !ckCookie.equals(com)) {
            dao.doHitPlus(tableName,seq);
            CookieUtil.setCookie(res, com, com);
        }
		
		boolean authority = false;
		HttpSession session = req.getSession();
		if (session.getAttribute("admin") != null && !session.getAttribute("admin").equals(""))
			authority = true;

        BoardTable bTable = (BoardTable)dao.getViewData(tableName,seq,authority,req.getContextPath());
        List adata = (List)dao.getDownloadData("downloadmng",tableName,seq);

        if (!sTable.getTbInfoStatus().equals("2")){
            List cdata = (List)dao.getCommentData(tableName, seq,authority);
            req.setAttribute("cdata",cdata);
            int recordCount;
            int totalPage;
            List ldata = null;
            if (flag == 1){
                recordCount = dao.getSearchCount(tableName,search,findword);
                totalPage = Utility.getTotal(recordCount,pageSize);
                if (gotoPage > totalPage) gotoPage = totalPage;
                if (gotoPage == 0) gotoPage = 1;
                ldata = (List)dao.getSearchData(tableName,search,findword,gotoPage,pageSize,recordCount);
            }else{
                search = "";
                findword = "";
                recordCount = sTable.getTbCnt();
                totalPage = Utility.getTotal(recordCount,pageSize);
                if (gotoPage > totalPage) gotoPage = totalPage;
                if (gotoPage == 0) gotoPage = 1;
                ldata = (List)dao.getListData(tableName,gotoPage,pageSize,recordCount);
            }
            
            List idata = (List)dao.getInfoList(tableName);
        	req.setAttribute("idata",idata);
        	req.setAttribute("ldata",ldata);
            req.setAttribute("recordCount",new Integer(recordCount));
            req.setAttribute("totalPage",new Integer(totalPage));
        }

        req.setAttribute("authority",new Boolean(authority));
        req.setAttribute("cname",CookieUtil.getCookie(req,"name"));
        req.setAttribute("seq",new Integer(seq));
        req.setAttribute("bTable",bTable);
        req.setAttribute("adata",adata);
        return VIEWPAGE;
    }
}