/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.board.manager;

import java.util.ResourceBundle;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.board.manager.upload.UploadTbMng;
import kr.pe.kkaok.board.manager.upload.UploadTbMngImpl;
import kr.pe.kkaok.board.manager.handle.*;

public class InfoRegistry extends HttpServlet 
{
    private String SAVE_DIR_ROOT;
    private int    MAX_UPLOAD_SIZE;
    private String SAVE_DIR_BOARD; 
    private String HTTPURL;
    private static final String ERRORPAGE = "/error.jsp";
    private static final String MOVEPAGE = "/kBoard/message.jsp";

    public void init(ServletConfig config) throws javax.servlet.ServletException {
        super.init(config);
        ResourceBundle bundle = null;
        try {
            bundle = ResourceBundle.getBundle("Res_Infomation");
            SAVE_DIR_ROOT = (String)bundle.getString("SAVE_DIR_ROOT");
            MAX_UPLOAD_SIZE = Integer.parseInt(bundle.getString("MAX_UPLOAD_SIZE").toString());
            SAVE_DIR_BOARD = (String)bundle.getString("SAVE_DIR_BOARD");
            HTTPURL = (String)bundle.getString("HTTPURL");
        } catch (Exception e) {
            System.out.println("Err: "+e.toString());
        }
    }
    
    public void doPost(HttpServletRequest req, HttpServletResponse res)
    {
        try{
            res.setContentType("text/html;charset=MS949");
            req.setCharacterEncoding("MS949");

		    HttpSession session = req.getSession();
		    if (session.getAttribute("admin") == null || session.getAttribute("admin").equals(""))
		    {
                req.setAttribute("message", "Login ϼ.");
                req.setAttribute("movePage", "/kBoard/boardMng/login.jsp");
                req.getRequestDispatcher(MOVEPAGE).forward(req, res);
                return;
            }

            String execpage = null;
            InfoRegistryCommand c = null;
            long totalPageSize = req.getContentLength(); 
            int maxUploadSize  = MAX_UPLOAD_SIZE * 5;
            if (maxUploadSize <= totalPageSize){
  		        throw new Exception("ȭϿ뷮 ʹ Ůϴ.");
            }
            String saveDir = getServletContext().getRealPath("/")+SAVE_DIR_ROOT+"admin/down/";
            UploadTbMng up = new UploadTbMngImpl(req,res,maxUploadSize,saveDir,SAVE_DIR_ROOT,getServletContext().getRealPath("/"));

            if(up.getPageStatus().equals("M")){
                c = new InfoModifyRegistry(req,res,up); 
                execpage = c.exec();
            }else{
                c = new InfoNewRegistry(req,res,up); 
                execpage = c.exec();
            }
            req.getRequestDispatcher(execpage).forward(req, res);
        } catch(Exception e){
			e.printStackTrace();
    		req.setAttribute("message", e.getMessage());
    		req.setAttribute("errPage", "InfoRegistry.java");
            try{
                req.getRequestDispatcher(ERRORPAGE).forward(req, res);
            }catch(Exception err){} 
        }
    }
}  