/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.board.manager.command;

import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.board.dao.InfoTable;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.util.CookieUtil;

public class InfoViewCommand extends InfoCommand
{
    private static final String VIEWPAGE = "/kBoard/boardMng/info_view.jsp";

    public InfoViewCommand(HttpServletRequest req, HttpServletResponse res) throws Exception
    {
        super(req, res);
    }

    public String exec() throws Exception
    {
        int seq = ParamUtil.getIntParameter(req.getParameter("seq"));
        java.util.Date now = new java.util.Date();
        java.text.SimpleDateFormat formatter = new java.text.SimpleDateFormat("yyyy-MM-dd"); 
        String nowDate = formatter.format(now);
        String com = "tablemnginfo"+nowDate+Integer.toString(seq);
        String ckCookie = CookieUtil.getCookie(req,com);
        if (ckCookie==null || !ckCookie.equals(com)) {
            dao.doHitPlus(seq);
            CookieUtil.setCookie(res, com, com);
        }

        InfoTable iTable = (InfoTable)dao.getInfoData(seq);
        List adata = (List)dao.getDownloadData("downloadmnginfo",tableName,seq);

        req.setAttribute("iTable",iTable);
        req.setAttribute("adata",adata);
        req.setAttribute("seq",new Integer(seq));
        return VIEWPAGE;
    }
}
