/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.manager.handle;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.board.manager.dao.InfoBoardDAOFactory;
import kr.pe.kkaok.board.manager.dao.InfoBoardDAO;

public abstract class InfoHandleCommand
{
    protected HttpServletRequest req;
    protected HttpServletResponse res;
    protected String tableName;
    protected int    gotoPage;
    protected int    flag;
    protected String search;
    protected String findword;
    protected InfoBoardDAO dao; 
    protected static final String MOVEPAGE = "/kBoard/message.jsp";

    public InfoHandleCommand(HttpServletRequest req, HttpServletResponse res) throws Exception 
    {
        this.req = req;
        this.res = res;
        tableName = ParamUtil.getReqParameter(req.getParameter("tableName"),"kkaok");
        gotoPage  = ParamUtil.getIntParameter(req.getParameter("gotoPage"),1);
        flag      = ParamUtil.getIntParameter(req.getParameter("flag"),0);
        search    = ParamUtil.getReqParameter(req.getParameter("search"));
        findword  = ParamUtil.getReqParameter(req.getParameter("findword"));
        dao = InfoBoardDAOFactory.getDAO();
    }
 
    public abstract String exec() throws Exception;

}