/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.manager.handle;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.board.manager.upload.UploadTbMng;
import kr.pe.kkaok.board.manager.dao.InfoBoardDAOFactory;
import kr.pe.kkaok.board.manager.dao.InfoBoardDAO;

public abstract class InfoRegistryCommand
{
    protected HttpServletRequest req;
    protected HttpServletResponse res;
    protected UploadTbMng up;
    protected InfoBoardDAO dao; 
    protected static final String MOVEPAGE = "/kBoard/message.jsp";

    public InfoRegistryCommand(HttpServletRequest req, HttpServletResponse res, UploadTbMng up) throws Exception 
    {
        this.req = req;
        this.res = res;
        this.up = up;
        dao = InfoBoardDAOFactory.getDAO();
    }
 
    public abstract String exec() throws Exception;

}