--
-- Table structure for table 'tablemng'
--

CREATE TABLE tablemng (
    tbName varchar(20) NOT NULL,
    tbCnt int(8) NOT NULL default '0',
    skin char(2),
    attach_key char(1),
    editmode char(1),
    image_allow char(1) default NULL,
    tbTitle varchar(254) NOT NULL default '',
    tbInfoStatus char(1) NOT NULL default '0',
    PRIMARY KEY  (tbName)
) TYPE=MyISAM;

--
-- Table structure for table 'tablemnginfo'
--

CREATE TABLE tablemnginfo (
    tbName varchar(20) NOT NULL,
    seq int(8) NOT NULL default '0',
    title varchar(200) NOT NULL default '',
    content text,
    readnum int(8) NOT NULL default '0',
    writeday datetime default NULL,
    imgInfo varchar(254) default NULL,
    viewSelect char(1) default NULL,
    PRIMARY KEY  (seq),
    KEY tablemnginfo_indx (tbName,seq)
) TYPE=MyISAM;

--
-- Table structure for table 'kkaok'
--

CREATE TABLE kkaok (
    seq int(8) NOT NULL default '0',
    re_level tinyint(3) NOT NULL default '0',
    re_step int(8) NOT NULL default '0',
    name varchar(50) NOT NULL default '',
    title varchar(200) NOT NULL default '',
    content text NOT NULL,
    pwd varchar(8) default NULL,
    email varchar(50) default NULL,
    homepage varchar(100) default NULL,
    readnum int(8) NOT NULL default '0',
    tag char(1) NOT NULL default '0',
    writeday datetime default NULL,
    ip varchar(24) default NULL,
    imgInfo varchar(254) default NULL,
    relativeCnt int(4) default '0',
    PRIMARY KEY  (re_step),
    KEY kkaok_indx (seq)
) TYPE=MyISAM;

--
-- Table structure for table 'commentmng'
--

CREATE TABLE commentmng (
    tbName varchar(20) NOT NULL default '',
    seq int(8) NOT NULL default '0',
    tbidx int(8) NOT NULL auto_increment,
    com_name varchar(20) NOT NULL default '',
    com_writeday datetime default NULL,
    com_memo varchar(254) NOT NULL default '',
    com_pwd varchar(8) NOT NULL default '',
    PRIMARY KEY  (tbidx),
    KEY commentmng_indx (tbName,seq,tbidx)
) TYPE=MyISAM;

--
-- Table structure for table 'downloadmng'
--

CREATE TABLE downloadmng (
    tbName varchar(20) NOT NULL default '',
    seq int(8) NOT NULL default '0',
    tbidx int(8) NOT NULL auto_increment,
    fileName varchar(200) NOT NULL default '',
    fileSize varchar(20) NOT NULL default '',
    downCnt int(8) NOT NULL default '0',
    PRIMARY KEY  (tbidx),
    KEY downloadmng_indx (tbName,seq,tbidx)
) TYPE=MyISAM;

--
-- Table structure for table 'downloadmnginfo'
--

CREATE TABLE downloadmnginfo (
    tbName varchar(20) NOT NULL,
    seq int(8) NOT NULL,
    tbidx int(8) NOT NULL auto_increment,
    fileName varchar(200) NOT NULL,
    fileSize varchar(20) NOT NULL,
    downCnt int(8) NOT NULL default '0',
    PRIMARY KEY  (tbidx),
    KEY downloadmnginfo_indx (tbName,seq,tbidx)
) TYPE=MyISAM;

--
-- insert query
--

insert into tablemng (tbName,tbCnt,skin,tbTitle,tbInfoStatus,attach_key,editmode,image_allow) values('kkaok',0,'1','⺸','0','0','0','0');