/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.board;

import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.board.handle.*;

public class KBoardAction extends HttpServlet 
{
    private static final String ERRORPAGE = "/error.jsp";

    public void doPost(HttpServletRequest req, HttpServletResponse res) 
    {
        try{
            res.setContentType("text/html;charset=MS949");
            req.setCharacterEncoding("MS949");
            String pageStatus = ParamUtil.getReqParameter(req.getParameter("pageStatus"));
            String execpage = null;
            CommandHandle c = null;
            if(pageStatus.equals("C")){ 
                c = new CommentHandle(req,res); 
                execpage = c.exec();
            }else if(pageStatus.equals("CD")){ 
                c = new CommentDeleteHandle(req,res); 
                execpage = c.exec();
            }else if(pageStatus.equals("AD")){ 
                c = new AttachDeleteHandle(req,res,getServletContext().getRealPath("/")); 
                execpage = c.exec();
            }else if(pageStatus.equals("D")){ 
                c = new DeleteHandle(req,res,getServletContext().getRealPath("/")); 
                execpage = c.exec();
            }
            req.getRequestDispatcher(execpage).forward(req, res);
        } catch(Exception e){
			e.printStackTrace();
    		req.setAttribute("message", e.getMessage());
    		req.setAttribute("errPage", "KBoardAction.java");
            try{
                req.getRequestDispatcher(ERRORPAGE).forward(req, res);
            }catch(Exception err){}
        }
    }
}