/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.board.command;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.board.dao.SkinTable;
import kr.pe.kkaok.board.dao.KBoardDAOFactory;
import kr.pe.kkaok.board.dao.KBoardDAO;
 
public abstract class Command 
{ 
    protected HttpServletRequest req;
    protected HttpServletResponse res;
    protected String tableName;
    protected int    gotoPage;
    protected int    flag;
    protected String search;
    protected String findword;
    protected KBoardDAO dao;
    protected SkinTable sTable;

    public Command(HttpServletRequest req, HttpServletResponse res) throws Exception 
    {
        this.req = req;
        this.res = res;
        tableName = ParamUtil.getReqParameter(req.getParameter("tableName"),"kkaok");
        gotoPage  = ParamUtil.getIntParameter(req.getParameter("gotoPage"),1);
        flag      = ParamUtil.getIntParameter(req.getParameter("flag"),0);
        search    = ParamUtil.getReqParameter(req.getParameter("search"));
        findword  = ParamUtil.getReqParameter(req.getParameter("findword"));
        dao = KBoardDAOFactory.getDAO(); 
        sTable = (SkinTable)dao.getSkinData(tableName);
        req.setAttribute("sTable",sTable);
        req.setAttribute("tableName",tableName);
        req.setAttribute("gotoPage",new Integer(gotoPage));
        req.setAttribute("flag",new Integer(flag));
        req.setAttribute("search",search);
        req.setAttribute("findword",findword);
    }

    public abstract String exec() throws Exception;

}