/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.board.command;

import java.util.List;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.board.dao.BoardTable;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.util.CookieUtil;

public class WriteCommand extends Command
{
    private String WRITEPAGE = "/kBoard/board_write.jsp";

    public WriteCommand(HttpServletRequest req, HttpServletResponse res) throws Exception
    {
        super(req, res);
    }

    public String exec() throws Exception
    {
        String pageStatus = ParamUtil.getReqParameter(req.getParameter("pageStatus"),"N");
        int seq = ParamUtil.getIntParameter(req.getParameter("seq"));

        BoardTable bTable;
        String readonly = "";
        String checked = "";
        if (pageStatus.equals("M")){
            String pwd = ParamUtil.getReqParameter(req.getParameter("pwd"));
            if(!dao.getCheck(tableName,seq,pwd)) {
         		req.setAttribute("message", "йȣ ġ ʽϴ.");
         		req.setAttribute("movePage", "/servlet/KBoard?cmd=view&tableName="+tableName+"&gotoPage="+gotoPage+"&flag="+flag+"&search="+search+"&findword="+java.net.URLEncoder.encode(findword)+"&seq="+seq);
         		return "/kBoard/message.jsp";
            }
            bTable = (BoardTable)dao.getWriteData(tableName,seq,pageStatus);
            List adata = (List)dao.getDownloadData("downloadmng",tableName,seq);
            req.setAttribute("adata",adata);
            readonly = "";
            if(bTable.getTag().equals("1")) checked = "checked";
        }else if (pageStatus.equals("R")){
            bTable = (BoardTable)dao.getWriteData(tableName,seq,pageStatus);
            req.setAttribute("toEmail",bTable.getEmail());
            bTable.setName(CookieUtil.getCookie(req,"name"));
            bTable.setEmail(CookieUtil.getCookie(req,"email"));
            bTable.setHomepage(CookieUtil.getCookie(req,"homepage"));
        }else{
            bTable = new BoardTable();
            bTable.setName(CookieUtil.getCookie(req,"name"));
            bTable.setTitle("");
            bTable.setContent("");
            bTable.setPwd("");
            bTable.setEmail(CookieUtil.getCookie(req,"email"));
            bTable.setHomepage(CookieUtil.getCookie(req,"homepage"));
            bTable.setImgInfo("");
        }

		boolean authority = false;
		HttpSession session = req.getSession();
		if (session.getAttribute("admin") != null && !session.getAttribute("admin").equals(""))
			authority = true;

        req.setAttribute("authority",new Boolean(authority));
        req.setAttribute("checked",checked);
        req.setAttribute("readonly",readonly);
        req.setAttribute("seq",new Integer(seq));
        req.setAttribute("pageStatus",pageStatus);
        req.setAttribute("bTable",bTable);
        return WRITEPAGE;
    }
}