/*
 * Author(s) kkaok
 * Date: 2003.03.14 
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.dao;

import java.util.List;
import kr.pe.kkaok.board.upload.UploadBoard;

public interface KBoardDAO
{
    public SkinTable getSkinData(String tableName) throws Exception;
    public List getListData(String tableName,int gotoPage,int pageSize,int recordCount) throws Exception;
    public List getListData(String tableName,int gotoPage,int pageSize) throws Exception;
    public int getSearchCount(String tableName,String search,String findword) throws Exception;
    public List getSearchData(String tableName,String search,String findword,
    		int gotoPage,int pageSize) throws Exception;
    public List getSearchData(String tableName,String search,String findword,
    		int gotoPage,int pageSize,int recordCount) throws Exception;
    public List getInfoList(String tableName) throws Exception;
    public void doHitPlus(int seq) throws Exception;
    public void doHitPlus(String tableName,int seq) throws Exception;
    public InfoTable getInfoData(int seq) throws Exception;
    public List getDownloadData(String tableName, int seq) throws Exception;
    public List getDownloadData(String tableName, String tbName, int seq) throws Exception;
    public BoardTable getViewData(String tableName,int seq,boolean authority,String contextRoot) throws Exception;
    public List getCommentData(String tbName, int seq, boolean authority) throws Exception;
    public boolean getCheck(String tableName, int seq, String pwd) throws Exception;
    public BoardTable getWriteData(String tableName, int seq, String pageStatus) throws Exception;
    public void insertComment(CommentTable cTable) throws Exception;
    public void cntPlusRelative(int seq,String tableName) throws Exception;
    public void deleteComment(int tbidx) throws Exception;
    public void deleteFile(int tbidx) throws Exception;
    public void deleteAllFile(String tableName,int seq,String saveDir) throws Exception;
    public void deleteDownload(String tableName, int seq) throws Exception;
    public void commentDelete(String tableName, int seq) throws Exception;
    public void delete(int seq,String tableName) throws Exception;
    public void cntPlus(String tableName) throws Exception;
    public int deletePermission(int re_step,int re_level,String tableName) throws Exception;
    public boolean getCheckComment(int tbidx,String pwd) throws Exception;
    public int maxRef(String tableName) throws Exception;
    public void insertQuery(UploadBoard up,int re_step,int re_level) throws Exception;
    public void getSpace(int re_step,String tableName) throws Exception;
    public void update(UploadBoard up) throws Exception;
    public void insertFile(String tableName,int seq,String filename,String filesize) throws Exception ;
    public int maxSeq(String tableName) throws Exception ;
    public void downloadHitCount(String tableName,int tbidx) throws Exception;
    public String getDownloadFileName(String tableName,int tbidx) throws Exception;
    public String[] getPrintData(String tableName,int seq) throws Exception ;
    public String[] getPrintInfoData(int seq) throws Exception ;
}