/*
 * Author(s) kkaok
 * Date: 2003.03.14 
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.handle;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.board.dao.CommentTable;
import kr.pe.kkaok.util.CookieUtil;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.util.ReplaceUtil;

public class CommentHandle extends CommandHandle
{
    public CommentHandle(HttpServletRequest req, HttpServletResponse res) throws Exception 
    {
        super(req, res);
    }
    
    public String exec() throws Exception
    {
    	CommentTable cTable = new CommentTable(); 
        cTable.setTbName(tableName);
        cTable.setSeq(ParamUtil.getIntParameter(req.getParameter("seq")));
        cTable.setCom_name(ReplaceUtil.encodeHTMLSpecialChar(ParamUtil.getReqParameter(req.getParameter("name")),1));
        cTable.setCom_memo(ReplaceUtil.encodeHTMLSpecialChar(ParamUtil.getReqParameter(req.getParameter("memo")),13));
        cTable.setCom_pwd(ParamUtil.getReqParameter(req.getParameter("pwd")));
        CookieUtil.setCookie(res, "name", cTable.getCom_name());
        dao.insertComment(cTable);
        dao.cntPlusRelative(cTable.getSeq(),tableName);
  		req.setAttribute("message", "ϵǾϴ.");
   		req.setAttribute("movePage", "/servlet/KBoard?cmd=view&tableName="+tableName+"&gotoPage="+gotoPage+"&flag="+flag+"&search="+search+"&findword="+findword+"&seq="+cTable.getSeq());
        return MOVEPAGE;
    }
}   