/*
 * Author(s) kkaok
 * Date: 2003.03.14 
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.handle;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.board.upload.UploadBoard;
import kr.pe.kkaok.board.dao.KBoardDAOFactory;
import kr.pe.kkaok.board.dao.KBoardDAO;

public abstract class RegistryCommand
{
    protected HttpServletRequest req;
    protected HttpServletResponse res;
    protected UploadBoard up;
    protected static final String MOVEPAGE = "/kBoard/message.jsp";
    protected KBoardDAO dao; 

    public RegistryCommand(HttpServletRequest req, HttpServletResponse res, UploadBoard up) throws Exception 
    {
        this.req = req;
        this.res = res;
        this.up = up;
        dao = (KBoardDAO)KBoardDAOFactory.getDAO(); 
    }

    public abstract String exec() throws Exception;

}