/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.board.manager;

import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.board.manager.handle.*;

public class InfoHandle extends HttpServlet
{
    private static final String ERRORPAGE = "/error.jsp";
    private static final String MOVEPAGE = "/kBoard/message.jsp";

    public void doPost(HttpServletRequest req, HttpServletResponse res) 
    {
        try{
            long sTime= System.currentTimeMillis();
            req.setAttribute("sTime",Long.toString(sTime));
            res.setContentType("text/html;charset=MS949");
            req.setCharacterEncoding("MS949");

		    HttpSession session = req.getSession();
		    if (session.getAttribute("admin") == null || session.getAttribute("admin").equals(""))
		    {
                req.setAttribute("message", "Login ϼ.");
                req.setAttribute("movePage", "/kBoard/boardMng/login.jsp");
                req.getRequestDispatcher(MOVEPAGE).forward(req, res);
                return;
            }

            String pageStatus = ParamUtil.getReqParameter(req.getParameter("pageStatus"));
            String execpage = null;
            InfoHandleCommand c = null;
            if (pageStatus.equals("AD")){
                c = new InfoAttachDeleteHandle(req,res,getServletContext().getRealPath("/")); 
                execpage = c.exec();
            }else if (pageStatus.equals("D")){
                c = new InfoDeleteHandle(req,res,getServletContext().getRealPath("/")); 
                execpage = c.exec();
            }else if (pageStatus.equals("C")){
                c = new InfoAlterStatusHandle(req,res); 
                execpage = c.exec();
            }
            req.getRequestDispatcher(execpage).forward(req, res);
        }catch(Exception e){
    		req.setAttribute("message", e.toString());
    		req.setAttribute("errPage", "InfoHandle.java");
            try{
                req.getRequestDispatcher(ERRORPAGE).forward(req, res);
            }catch(Exception err){}
        }
    }

    public void doGet(HttpServletRequest req, HttpServletResponse res) 
    {
        doPost(req, res);
    }
}