/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.manager.dao;

import java.util.List;
import kr.pe.kkaok.board.manager.upload.UploadTbMng;
import kr.pe.kkaok.board.dao.*; 

public interface InfoBoardDAO
{
    public SkinTable getSkinData(String tableName) throws Exception;
    public int getListCount(String tableName) throws Exception;
    public List getListData(String tableName,int gotoPage,int pageSize,int recordCount) throws Exception;
    public List getListData(String tableName,int gotoPage,int pageSize) throws Exception;
    public int getSearchCount(String tableName,String search,String findword) throws Exception;
    public List getSearchData(String tableName,String search,String findword,
    		int gotoPage,int pageSize,int recordCount) throws Exception;
    public List getSearchData(String tableName,String search,String findword,
    		int gotoPage,int pageSize) throws Exception;
    public InfoTable getInfoData(int seq) throws Exception;
    public List getDownloadData(String tableName, String tbName, int seq) throws Exception;
    public void insertQuery(UploadTbMng up) throws Exception;
    public void update(UploadTbMng up) throws Exception;
    public void insertFile(String tableName,int seq,String filename,String filesize) throws Exception; 
    public int maxSeq() throws Exception; 
    public void deleteFile(int tbidx) throws Exception; 
    public void alterViewStatus(String viewSelect, int seq) throws Exception;
    public void deleteAllFile(String tableName,int seq,String saveDir) throws Exception;
    public void delete(int seq) throws Exception;
    public void deleteDownload(String tableName, int seq) throws Exception;
    public void doHitPlus(int seq) throws Exception;
    public void createTable(String tableName) throws Exception;
    public void insertInfo(String tableName) throws Exception;
    public void dropTable(String tableName) throws Exception;
    public void deleteTable(String tableName,String tbName) throws Exception;
    public void infoFileDelete(String delInfoDir,String tbName) throws Exception;
    public void infoImgDelete(String delImgDir,String tbName) throws Exception;
    public List getTableData() throws Exception;
    public boolean checkTablePermission(String id) throws Exception;
    public SkinTable getSkinDataInfo(String tableName) throws Exception;
    public void doSkinUpdate(SkinTable sTable) throws Exception;
}