/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * ̼
 * 1. Ȩ  б ȸ 񿵸ü Ҽ ֽϴ.
 * 2. ⺸  ۱ úκ Ѽϸ ȵ˴ϴ.
 *   (۱ ǥô Խ  ۼ ĸ մϴ.   մϴ)
 * 3. ⺸   Ÿ ս  Ÿ ص    ؼ kkaok.pe.kr  å  ʽϴ.
 * 4. ⺸忡  kkaok.pe.kr /  ǹ ϴ.
 * 5. ⺸ ҽ   Ͽ Ҽ   α׷  մϴ.
 *   (۱  κ Դϴ)
 * 6. Ÿ ǹ http://www.kkaok.pe.kr  ̿ ֽñ ٶϴ.
 */
package kr.pe.kkaok.jdbc;

import pool.JDCConnectionDriver;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.DriverManager;
import java.util.ResourceBundle;

public class DBManager
{
	static JDCConnectionDriver jdcPool;	

	public static Connection getConnection() throws Exception 
	{
		if ( jdcPool == null ) {
            ResourceBundle bundle = null;
            bundle = ResourceBundle.getBundle("Res_Infomation");
            String DB_DRIVER = (String)bundle.getString("DB_DRIVER");
            String DB_URL = (String)bundle.getString("DB_URL");
            String DB_ID = (String)bundle.getString("DB_ID");
            String DB_PWD = (String)bundle.getString("DB_PWD");
	    	jdcPool = new pool.JDCConnectionDriver(DB_DRIVER,DB_URL,DB_ID,DB_PWD);
		}
		return DriverManager.getConnection("jdbc:jdc:jdcpool");
	}

	public static void close(ResultSet rs, PreparedStatement pstmt, Connection conn) 
	{
		try { if (rs != null) rs.close(); } catch (Exception e) {}
		try { if (pstmt != null) pstmt.close(); } catch (Exception e) {}
		try { if (conn != null) conn.close(); } catch (Exception e) {}
	}

	public static void close(PreparedStatement pstmt, Connection conn) 
	{
		try { if (pstmt != null) pstmt.close(); } catch (Exception e) {}
		try { if (conn != null) conn.close(); } catch (Exception e) {}
	}

	public static void close(Statement stmt, Connection conn) 
	{
		try { if (stmt != null) stmt.close(); } catch (Exception e) {}
		try { if (conn != null) conn.close(); } catch (Exception e) {}
	}
}